Bug 1859831 - bugzilla-5.0.6-6.fc33 FTBFS: %_python_bytecompile_extra is discontinued
Summary: bugzilla-5.0.6-6.fc33 FTBFS: %_python_bytecompile_extra is discontinued
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F33FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-07-23 06:27 UTC by Petr Pisar
Modified: 2020-10-07 20:45 UTC (History)
3 users (show)

Fixed In Version: bugzilla-5.0.6-9.fc33 bugzilla-5.0.6-6.fc32 bugzilla-5.0.6-4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-04 00:15:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2020-07-23 06:27:57 UTC
bugzilla-5.0.6-6.fc33 fails to build in Fedora 33:

+ /usr/lib/rpm/redhat/brp-python-bytecompile '' 1 1
%_python_bytecompile_extra is discontinued, use %py_byte_compile instead.
See: https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_3
error: Bad exit status from /var/tmp/rpm-tmp.duU4Ea (%install)
    Bad exit status from /var/tmp/rpm-tmp.duU4Ea (%install)

A difference between passing and failing build root is at <https://koschei.fedoraproject.org/build/8625274>. This is probably triggered by upgrading redhat-rpm-config from 160 to 161:

* Mon Jun 15 2020 Lumír Balhar <lbalhar@redhat.com> - 161-1
- No more automagic Python bytecompilation (phase 3)
  https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_3

Comment 1 Ben Cotton 2020-08-11 13:48:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 2 Fedora Update System 2020-09-29 20:53:09 UTC
FEDORA-2020-707592630e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-707592630e

Comment 3 Fedora Update System 2020-09-29 20:53:12 UTC
FEDORA-2020-ed56800b3e has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed56800b3e

Comment 4 Fedora Update System 2020-09-29 20:53:14 UTC
FEDORA-2020-53cdcb90d8 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-53cdcb90d8

Comment 5 Fedora Update System 2020-09-30 01:12:07 UTC
FEDORA-2020-ed56800b3e has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ed56800b3e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed56800b3e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-09-30 01:21:53 UTC
FEDORA-2020-707592630e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-707592630e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-707592630e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-09-30 01:22:09 UTC
FEDORA-2020-53cdcb90d8 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-53cdcb90d8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-53cdcb90d8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-04 00:15:32 UTC
FEDORA-2020-ed56800b3e has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-10-07 20:36:44 UTC
FEDORA-2020-53cdcb90d8 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-10-07 20:45:25 UTC
FEDORA-2020-707592630e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.